Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/abort_gcm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/abort_gcm.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/abort_gcm.F90	(revision 5117)
@@ -7,5 +7,5 @@
   USE IOIPSL
   !! ug Pour les sorties XIOS
-  USE wxios
+  USE lmdz_wxios
 
   include "iniprint.h"
@@ -19,7 +19,7 @@
   !     ierr    = severity of situation ( = 0 normal )
 
-  CHARACTER(LEN = *), intent(in) :: modname
-  integer, intent(in) :: ierr
-  CHARACTER(LEN = *), intent(in) :: message
+  CHARACTER(LEN = *), INTENT(IN) :: modname
+  INTEGER, INTENT(IN) :: ierr
+  CHARACTER(LEN = *), INTENT(IN) :: message
 
   WRITE(lunout, *) 'in abort_gcm'
@@ -35,5 +35,5 @@
   WRITE(lunout, *) 'Stopping in ', modname
   WRITE(lunout, *) 'Reason = ', message
-  if (ierr == 0) THEN
+  IF (ierr == 0) THEN
     WRITE(lunout, *) 'Everything is cool'
     stop
@@ -41,4 +41,4 @@
     WRITE(lunout, *) 'Houston, we have a problem, ierr = ', ierr
     stop 1
-  endif
+  ENDIF
 END SUBROUTINE abort_gcm
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/addfi.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/addfi.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/addfi.F90	(revision 5117)
@@ -119,5 +119,5 @@
   ENDDO
 
-  if (planet_type=="earth") THEN
+  IF (planet_type=="earth") THEN
     ! earth case, special treatment for first 2 tracers (water)
     DO iq = 1, 2
@@ -148,5 +148,5 @@
       ENDDO
     ENDDO
-  endif ! of if (planet_type=="earth")
+  ENDIF ! of if (planet_type=="earth")
 
   DO  ij = 1, iim
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/advtrac.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/advtrac.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/advtrac.f90	(revision 5117)
@@ -13,5 +13,5 @@
   USE comconst_mod, ONLY: dtvr
   USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DEBUGIO
-  USE strings_mod, ONLY: int2str
+  USE lmdz_strings, ONLY: int2str
   USE lmdz_description, ONLY: descript
   USE lmdz_libmath, ONLY: minmax
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/bilan_dyn.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/bilan_dyn.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/bilan_dyn.F90	(revision 5117)
@@ -52,5 +52,5 @@
 
   INTEGER :: icum, ncum
-  logical :: first
+  LOGICAL :: first
   REAL :: zz, zqy, zfactv(jjm, llm)
 
@@ -169,5 +169,5 @@
   ndex3d = 0
 
-  if (first) THEN
+  IF (first) THEN
     icum = 0
     ! initialisation des fichiers
@@ -175,5 +175,5 @@
     !   ncum est la frequence de stokage en pas de temps
     ncum = dt_cum / dt_app
-    if (abs(ncum * dt_app - dt_cum)>1.e-5 * dt_app) THEN
+    IF (abs(ncum * dt_app - dt_cum)>1.e-5 * dt_app) THEN
       WRITE(lunout, *) &
               'Pb : le pas de cumule doit etre multiple du pas'
@@ -183,5 +183,5 @@
     endif
 
-    if (i_sortie==1) THEN
+    IF (i_sortie==1) THEN
       file = 'dynzon'
       CALL inigrads(ifile, 1 &
@@ -295,5 +295,5 @@
     CALL histend(fileid)
 
-  endif
+  ENDIF
 
 
@@ -334,5 +334,5 @@
     flux_vQ_cum = 0.
     flux_uQ_cum = 0.
-  endif
+  ENDIF
 
   IF (prt_level > 5) &
@@ -407,5 +407,5 @@
   !   PAS DE TEMPS D'ECRITURE
   !=====================================================================
-  if (icum==ncum) THEN
+  IF (icum==ncum) THEN
     !=====================================================================
 
@@ -528,5 +528,5 @@
     ! PRINT*,'4OK'
     !   sorties proprement dites
-    if (i_sortie==1) THEN
+    IF (i_sortie==1) THEN
       do iQ = 1, nQ
         do itr = 1, ntr
@@ -573,5 +573,5 @@
     !/////////////////////////////////////////////////////////////////////
     icum = 0                  !///////////////////////////////////////
-  endif ! icum.eq.ncum    !///////////////////////////////////////
+  ENDIF ! icum.EQ.ncum    !///////////////////////////////////////
   !/////////////////////////////////////////////////////////////////////
   !=====================================================================
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/caladvtrac.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/caladvtrac.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/caladvtrac.F90	(revision 5117)
@@ -50,5 +50,5 @@
   !
   ! Earth-specific stuff for the first 2 tracers (water)
-  if (planet_type=="earth") THEN
+  IF (planet_type=="earth") THEN
     ! initialisation
     ! CRisi: il faut gérer tous les traceurs si on veut pouvoir faire des
@@ -60,5 +60,5 @@
     !c        CALL minmaxq(q(1,1,1),1.e33,-1.e33,'Eau vapeur (a) ')
     !c        CALL minmaxq(q(1,1,2),1.e33,-1.e33,'Eau liquide(a) ')
-  endif ! of if (planet_type.eq."earth")
+  ENDIF ! of if (planet_type.EQ."earth")
   !   advection
 
@@ -70,5 +70,5 @@
 
   IF(iapptrac==iapp_tracvl) THEN
-    if (planet_type=="earth") THEN
+    IF (planet_type=="earth") THEN
       ! Earth-specific treatment for the first 2 tracers (water)
       !
@@ -105,10 +105,10 @@
       ENDDO
       !
-    endif ! of if (planet_type.eq."earth")
+    endif ! of if (planet_type.EQ."earth")
   ELSE
-    if (planet_type=="earth") THEN
+    IF (planet_type=="earth") THEN
       ! Earth-specific treatment for the first 2 tracers (water)
       dq(:, :, 1:nqtot) = 0.
-    endif ! of if (planet_type.eq."earth")
+    endif ! of if (planet_type.EQ."earth")
   ENDIF ! of IF( iapptrac.EQ.iapp_tracvl )
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/check_isotopes.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/check_isotopes.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/check_isotopes.F90	(revision 5117)
@@ -1,4 +1,4 @@
 SUBROUTINE check_isotopes_seq(q, ip1jmp1, err_msg)
-   USE strings_mod, ONLY: maxlen, msg, strIdx, strStack, int2str, real2str
+   USE lmdz_strings, ONLY: maxlen, msg, strIdx, strStack, int2str, real2str
    USE infotrac,    ONLY: nqtot, niso, nphas, isotope, isoCheck, iqIsoPha, isoSelect, &
                           ntiso, iH2O, nzone, tracers, isoName,  itZonIso, getKey
@@ -35,5 +35,5 @@
       iso_O17 = strIdx(isoName,'H217O')
       iso_HTO = strIdx(isoName,'HTO')
-      if (tnat1) THEN
+      IF (tnat1) THEN
               tnat(:)=1.0
       else
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/conf_gcm.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/conf_gcm.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/conf_gcm.f90	(revision 5117)
@@ -4,7 +4,7 @@
 
   USE control_mod
-  use IOIPSL
+  USE IOIPSL
   USE infotrac, ONLY: type_trac
-  use lmdz_assert, ONLY: assert
+  USE lmdz_assert, ONLY: assert
   USE comconst_mod, ONLY: dissip_deltaz, dissip_factz, dissip_zref, &
           iflag_top_bound, mode_top_bound, tau_top_bound, &
@@ -79,5 +79,5 @@
   lunout = 6
   CALL getin('lunout', lunout)
-  IF (lunout /= 5 .and. lunout /= 6) THEN
+  IF (lunout /= 5 .AND. lunout /= 6) THEN
     OPEN(UNIT = lunout, FILE = 'lmdz.out', ACTION = 'write', &
             STATUS = 'unknown', FORM = 'formatted')
@@ -308,5 +308,5 @@
   maxlatfilter = -1.0
   CALL getin('maxlatfilter', maxlatfilter)
-  if (maxlatfilter > 90) &
+  IF (maxlatfilter > 90) &
           CALL abort_gcm("conf_gcm", 'maxlatfilter should be <=90', 1)
 
@@ -322,5 +322,5 @@
   iflag_top_bound = 1
   CALL getin('iflag_top_bound', iflag_top_bound)
-  IF (iflag_top_bound < 0 .or. iflag_top_bound > 2) &
+  IF (iflag_top_bound < 0 .OR. iflag_top_bound > 2) &
           CALL abort_gcm("conf_gcm", 'iflag_top_bound must be 0, 1 or 2', 1)
 
@@ -396,5 +396,5 @@
   !     .........   (  modif  le 17/04/96 )   .........
 
-  test_etatinit: IF (.not. etatinit) THEN
+  test_etatinit: IF (.NOT. etatinit) THEN
     !Config  Key  = clon
     !Config  Desc = centre du zoom, longitude
@@ -828,7 +828,7 @@
     CALL getin('ok_strato', ok_strato)
 
-    vert_prof_dissip = merge(1, 0, ok_strato .and. llm==39)
+    vert_prof_dissip = merge(1, 0, ok_strato .AND. llm==39)
     CALL getin('vert_prof_dissip', vert_prof_dissip)
-    CALL assert(vert_prof_dissip == 0 .or. vert_prof_dissip ==  1, &
+    CALL assert(vert_prof_dissip == 0 .OR. vert_prof_dissip ==  1, &
             "bad value for vert_prof_dissip")
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/dynetat0.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/dynetat0.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/dynetat0.F90	(revision 5117)
@@ -7,8 +7,8 @@
 !-------------------------------------------------------------------------------
   USE infotrac,    ONLY: nqtot, tracers, niso, iqIsoPha, iH2O, isoName
-  USE strings_mod, ONLY: maxlen, msg, strStack, real2str, int2str
+  USE lmdz_strings, ONLY: maxlen, msg, strStack, real2str, int2str
   USE netcdf,      ONLY: nf90_open,  nf90_nowrite, nf90_inq_varid, &
                          nf90_close, nf90_get_var, nf90_noerr
-  USE readTracFiles_mod, ONLY: new2oldH2O, newHNO3, oldHNO3, getKey
+  USE lmdz_readTracFiles, ONLY: new2oldH2O, newHNO3, oldHNO3, getKey
   USE control_mod, ONLY: planet_type
   USE lmdz_assert_eq, ONLY: assert_eq
@@ -157,5 +157,5 @@
       iqParent = tracers(iq)%iqParent
       IF(tracers(iq)%iso_iZone == 0) THEN
-         if (tnat1) THEN
+         IF (tnat1) THEN
                  tnat=1.0
                  alpha_ideal=1.0
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/dynredem.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/dynredem.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/dynredem.F90	(revision 5117)
@@ -5,5 +5,5 @@
 !-------------------------------------------------------------------------------
   USE IOIPSL
-  USE strings_mod, ONLY: maxlen
+  USE lmdz_strings, ONLY: maxlen
   USE infotrac, ONLY: nqtot, tracers
   USE netcdf, ONLY: nf90_create, nf90_def_dim, nf90_inq_varid, nf90_global,    &
@@ -157,5 +157,5 @@
 ! Purpose: Write the NetCDF restart file (append).
 !-------------------------------------------------------------------------------
-  USE strings_mod, ONLY: maxlen
+  USE lmdz_strings, ONLY: maxlen
   USE infotrac, ONLY: nqtot, tracers, type_trac
   USE control_mod
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/fluxstokenc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/fluxstokenc.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/fluxstokenc.F90	(revision 5117)
@@ -41,5 +41,5 @@
   SAVE iadvtr, massem, pbaruc, pbarvc, irec
   SAVE phic, tetac
-  logical :: first
+  LOGICAL :: first
   save first
   data first/.TRUE./
@@ -72,5 +72,5 @@
     first = .FALSE.
 
-  endif
+  ENDIF
 
   IF(iadvtr==0) THEN
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/friction.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/friction.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/friction.F90	(revision 5117)
@@ -28,7 +28,7 @@
 
   ! arguments:
-  REAL, INTENT(out) :: ucov(iip1, jjp1, llm)
-  REAL, INTENT(out) :: vcov(iip1, jjm, llm)
-  REAL, INTENT(in) :: pdt ! time step
+  REAL, INTENT(OUT) :: ucov(iip1, jjp1, llm)
+  REAL, INTENT(OUT) :: vcov(iip1, jjm, llm)
+  REAL, INTENT(IN) :: pdt ! time step
 
   ! local variables:
@@ -47,5 +47,5 @@
     ! set friction type
     CALL getin("friction_type", friction_type)
-    if ((friction_type<0).or.(friction_type>1)) THEN
+    IF ((friction_type<0).OR.(friction_type>1)) THEN
       abort_message = "wrong friction type"
       WRITE(lunout, *)'Friction: wrong friction type', friction_type
@@ -55,5 +55,5 @@
   ENDIF
 
-  if (friction_type==0) THEN
+  IF (friction_type==0) THEN
     !   calcul des composantes au carre du vent naturel
     do j = 1, jjp1
@@ -116,12 +116,12 @@
       vcov(iip1, j, 1) = vcov(1, j, 1)
     enddo
-  endif ! of if (friction_type.eq.0)
+  ENDIF ! of if (friction_type.EQ.0)
 
-  if (friction_type==1) THEN
+  IF (friction_type==1) THEN
     do l = 1, llm
       ucov(:, :, l) = ucov(:, :, l) * (1. - pdt * kfrict(l))
       vcov(:, :, l) = vcov(:, :, l) * (1. - pdt * kfrict(l))
     enddo
-  endif
+  ENDIF
 
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/gcm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/gcm.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/gcm.F90	(revision 5117)
@@ -7,5 +7,5 @@
 
   USE IOIPSL
-  USE wxios  ! ug Pour les sorties XIOS
+  USE lmdz_wxios  ! ug Pour les sorties XIOS
 
   USE lmdz_filtreg, ONLY: inifilr
@@ -91,5 +91,5 @@
 
 
-  real time_step, t_wrt, t_ops
+  REAL time_step, t_wrt, t_ops
 
   !      LOGICAL call_iniphys
@@ -108,11 +108,11 @@
 
 
-  character (len=80) :: dynhist_file, dynhistave_file
-  character (len=20) :: modname
-  character (len=80) :: abort_message
+  CHARACTER (LEN=80) :: dynhist_file, dynhistave_file
+  CHARACTER (LEN=20) :: modname
+  CHARACTER (LEN=80) :: abort_message
   ! locales pour gestion du temps
   INTEGER :: an, mois, jour
   REAL :: heure
-  logical use_filtre_fft
+  LOGICAL use_filtre_fft
 
   !-----------------------------------------------------------------------
@@ -135,5 +135,5 @@
   CALL conf_gcm( 99, .TRUE.)
 
-  if (mod(iphysiq, iperiod) /= 0) CALL abort_gcm("conf_gcm", &
+  IF (mod(iphysiq, iperiod) /= 0) CALL abort_gcm("conf_gcm", &
        "iphysiq must be a multiple of iperiod", 1)
 
@@ -167,11 +167,11 @@
   !      calend = 'earth_365d'
 
-  if (calend == 'earth_360d') THEN
+  IF (calend == 'earth_360d') THEN
      CALL ioconf_calendar('360_day')
      WRITE(lunout,*)'CALENDRIER CHOISI: Terrestre a 360 jours/an'
-  else if (calend == 'earth_365d') THEN
+  ELSE IF (calend == 'earth_365d') THEN
      CALL ioconf_calendar('noleap')
      WRITE(lunout,*)'CALENDRIER CHOISI: Terrestre a 365 jours/an'
-  else if (calend == 'gregorian') THEN
+  ELSE IF (calend == 'gregorian') THEN
      CALL ioconf_calendar('gregorian')
      WRITE(lunout,*)'CALENDRIER CHOISI: Terrestre bissextile'
@@ -179,5 +179,5 @@
      abort_message = 'Mauvais choix de calendrier'
      CALL abort_gcm(modname,abort_message,1)
-  endif
+  ENDIF
   !-----------------------------------------------------------------------
 
@@ -203,16 +203,16 @@
 
   !  lecture du fichier start.nc
-  if (read_start) THEN
+  IF (read_start) THEN
      ! we still need to run iniacademic to initialize some
      ! constants & fields, if we run the 'newtonian' or 'SW' cases:
-     if (iflag_phys/=1) THEN
+     IF (iflag_phys/=1) THEN
         CALL iniacademic(vcov,ucov,teta,q,masse,ps,phis,time_0)
      endif
 
-     !        if (planet_type.eq."earth") THEN
+     !        if (planet_type.EQ."earth") THEN
      ! Load an Earth-format start file
      CALL dynetat0("start.nc",vcov,ucov, &
           teta,q,masse,ps,phis, time_0)
-     !        endif ! of if (planet_type.eq."earth")
+     !        endif ! of if (planet_type.EQ."earth")
 
      !       WRITE(73,*) 'ucov',ucov
@@ -222,5 +222,5 @@
      !       WRITE(77,*) 'q',q
 
-  endif ! of if (read_start)
+  ENDIF ! of if (read_start)
 
 
@@ -228,9 +228,9 @@
   IF (prt_level > 9) WRITE(lunout,*) &
        'GCM: AVANT iniacademic AVANT AVANT AVANT AVANT'
-  if (.not.read_start) THEN
+  IF (.NOT.read_start) THEN
      start_time=0.
      annee_ref=anneeref
      CALL iniacademic(vcov,ucov,teta,q,masse,ps,phis,time_0)
-  endif
+  ENDIF
 
 
@@ -279,5 +279,5 @@
      WRITE(lunout,*) &
           'GCM: On reinitialise a la date lue dans gcm.def'
-  ELSE IF (annee_ref /= anneeref .or. day_ref /= dayref) THEN
+  ELSE IF (annee_ref /= anneeref .OR. day_ref /= dayref) THEN
      WRITE(lunout,*) &
           'GCM: Attention les dates initiales lues dans le fichier'
@@ -290,5 +290,5 @@
   ENDIF
 
-  !      if (annee_ref .ne. anneeref .or. day_ref .ne. dayref) THEN
+  !      if (annee_ref .NE. anneeref .OR. day_ref .NE. dayref) THEN
   !        WRITE(lunout,*)
   !     .  'GCM: Attention les dates initiales lues dans le fichier'
@@ -298,5 +298,5 @@
   !        WRITE(lunout,*)' annee_ref=',annee_ref," anneeref=",anneeref
   !        WRITE(lunout,*)' day_ref=',day_ref," dayref=",dayref
-  !        if (raz_date .ne. 1) THEN
+  !        if (raz_date .NE. 1) THEN
   !          WRITE(lunout,*)
   !     .    'GCM: On garde les dates du fichier restart'
@@ -331,5 +331,5 @@
 
 
-  if (iflag_phys==1) THEN
+  IF (iflag_phys==1) THEN
      ! these initialisations have already been done (via iniacademic)
      ! if running in SW or Newtonian mode
@@ -349,5 +349,5 @@
      !   --------------------------
      CALL inifilr
-  endif ! of if (iflag_phys.eq.1)
+  ENDIF ! of if (iflag_phys.EQ.1)
 
   !-----------------------------------------------------------------------
@@ -365,9 +365,9 @@
 
 
-  if (nday>=0) THEN
+  IF (nday>=0) THEN
      day_end = day_ini + nday
   else
      day_end = day_ini - nday/day_step
-  endif
+  ENDIF
   WRITE(lunout,300)day_ini,day_end
 300 FORMAT('1'/,15x,'run du jour',i7,2x,'au jour',i7//)
@@ -384,5 +384,5 @@
   !   -------------------------------
 
-  IF ((iflag_phys==1).or.(iflag_phys>=100)) THEN
+  IF ((iflag_phys==1).OR.(iflag_phys>=100)) THEN
     ! Physics:
     IF (CPPKEY_PHYS) THEN
@@ -393,7 +393,7 @@
           iflag_phys)
     END IF
-  ENDIF ! of IF ((iflag_phys==1).or.(iflag_phys>=100))
-
-  !      if (planet_type.eq."earth") THEN
+  ENDIF ! of IF ((iflag_phys==1).OR.(iflag_phys>=100))
+
+  !      if (planet_type.EQ."earth") THEN
   ! Write an Earth-format restart file
 
@@ -404,5 +404,5 @@
 
   time_step = zdtvr
-  if (ok_dyn_ins) THEN
+  IF (ok_dyn_ins) THEN
      ! initialize output file for instantaneous outputs
      ! t_ops = iecri * daysec ! do operations every t_ops
@@ -411,5 +411,5 @@
      CALL inithist(day_ref,annee_ref,time_step, &
           t_ops,t_wrt)
-  endif
+  ENDIF
 
   IF (ok_dyn_ave) THEN 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/groupe.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/groupe.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/groupe.F90	(revision 5117)
@@ -3,5 +3,5 @@
 SUBROUTINE groupe(pext, pbaru, pbarv, pbarum, pbarvm, wm)
 
-  use comconst_mod, ONLY: ngroup
+  USE comconst_mod, ONLY: ngroup
 
   IMPLICIT NONE
@@ -37,5 +37,5 @@
   INTEGER :: i, j, l
 
-  logical :: firstcall, groupe_ok
+  LOGICAL :: firstcall, groupe_ok
   save firstcall, groupe_ok
 
@@ -43,15 +43,15 @@
   data groupe_ok/.TRUE./
 
-  if (iim==1) THEN
+  IF (iim==1) THEN
     groupe_ok = .FALSE.
-  endif
+  ENDIF
 
-  if (firstcall) THEN
-    if (groupe_ok) THEN
+  IF (firstcall) THEN
+    IF (groupe_ok) THEN
       IF(mod(iim, 2**ngroup)/=0) &
               CALL abort_gcm('groupe', 'probleme du nombre de point', 1)
     endif
     firstcall = .FALSE.
-  endif
+  ENDIF
 
 
@@ -63,5 +63,5 @@
   CALL scopy(ijmllm, pbarv, 1, pbarvm, 1)
 
-  if (groupe_ok) THEN
+  IF (groupe_ok) THEN
     CALL groupeun(jjp1, llm, zconvmm)
     CALL groupeun(jjm, llm, pbarvm)
@@ -84,5 +84,5 @@
     pbarum(:, :, :) = pbaru(:, :, :)
     pbarvm(:, :, :) = pbarv(:, :, :)
-  endif
+  ENDIF
 
   !    integration de la convergence de masse de haut  en bas ......
